#!/usr/bin/python2
# Bryan Schumaker (8/13/2010)

import datetime
now = datetime.datetime.now
before = now()

import libsaria
import ocarina

from ocarina import collection

libsaria.init()
libsaria.init_pref("window_size", (800,600))

prefs = libsaria.prefs

win = ocarina.get_window(prefs["window_size"])
ocarina.set_window_title(ocarina.__vers__)
ocarina.set_window_icon("images/ocarina.png")

ocarina.add_tab("Playlist", collection.Playlist())
ocarina.add_tab("Library", collection.Library())


after = now()
print "Startup took:", after-before

ocarina.startup()
